### Constructor

# AyatanaAppIndicatorGlib Indicator new

#### Declaration

    AppIndicator*
    app_indicator_new (
      const gchar* id,
      const gchar* icon_name,
      AppIndicatorCategory category
    )

#### Description

Creates a new `AppIndicator` setting the properties: `AppIndicator:id` with `id`, `AppIndicator:category` with `category` and `AppIndicator:icon-name` with `icon_name`.

#### Parameters

`id`

  Type: `const gchar*`

  The unique id of the indicator to create.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`icon_name`

  Type: `const gchar*`

  The icon name for this indicator.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`category`

  Type: `AppIndicatorCategory`

  The category of the indicator.

#### Return value

Type: `AppIndicator`

A pointer to a new `AppIndicator` object.

The caller of the function takes ownership of the data, and is responsible for freeing it.